package trivia;

import java.io.Serializable;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

/**
 * This is the main bean class for the Trivia Quiz application.
 *
 * It should get information about quiz categories from the
 * CategoryBean class and information about specific questions
 * from the ProblemBean class.
 *
 * You must complete the QuizBean class, and you must write the
 * CategoryBean and ProblemBean classes.
 *
 * You might want to define other supporting classes as needed.
 * @author Your name here
 */
@Named
@SessionScoped
public class QuizBean implements Serializable {

    /**
     * This method is called from index.html when the user has clicked
     * one of the four quiz buttons.
     * It receives a category string from the clicked button.
     * The string is used to initiate a series of questions in that category.
     * @param category the category selected by the user
     * @return the string "first" in order to navigate to first.xhtml
     */
    public String chooseCategory(String category) {
        // Quiz category initiation code goes here
        return "first";
    }

    /**
     * This method is called after the user has answered the first question.
     * The user's answer is checked for correctness and any necessary updating
     * is done.
     * It always navigates to rest.xhtml
     * @return the string "rest" in order to navigate to rest.xhtml
     */
    public String checkFirstAnswer() {
        // Answer processing code goes here
        return "rest";
    }

    /**
     * This method is called after the user has answered a question
     * other than the first.
     * It can navigate either back to rest.xhtml if there are more
     * questions to be asked in the category, or to done.xhtml if there
     * are none.
     * @return either "done" or "rest"
     */
    public String checkAnotherAnswer() {
        // Answer processing code goes here
        if ( true ) { // replace true with a test for whether category is complete
            return "done";
        }
        else {
            return "rest";
        }
    }

}
